#ifndef _CONSOLE_ITEM_H++
#define _CONSOLE_ITEM_H++

#include <Performer/pf/pfDCS.h>
#include "lim_avatar.h++"
#include "CAVERNst_baseAvatar_c.h++"

enum ItemType
{ 
  generic_item,
  generic_radar,
  egoRadar,
  egoFlatRadar,
  partList,
  status_panel
};


class ConsoleItem : public pfDCS
{
private:
  static pfType* classType_;
  
protected:
  //char * name;
  ItemType itemType;
  int shown;

public:
  static void init(void);
  static pfType* getClassType(void){ return classType_; };

public:
  ConsoleItem();
  ConsoleItem(ItemType it);
  ~ConsoleItem();

  //void setName(const char* n) { sprintf(name,n); }
  //char* getName() { return name; }
  ItemType getItemType() { return itemType; }

  int getViewState() { return shown; }
  void setViewState(int vs) { shown = vs; }
  int ConsoleItem::operator==(const ConsoleItem& c)
  {
    if(strcmp(getName(), c.getName())==0) return 1;
    return 0;
  }

  virtual void addUser(CAVERNst_baseAvatar_c *new_user);
  virtual void removeUser(CAVERNst_baseAvatar_c *old_user);
  virtual void updateALL();
  void updateItems(void (*Update_ONLY_Items)(ItemType));
  
  //void (**Update_Attributes)(void) = Update_ONLY_Attributes;
  
};

#endif
