/*
 * LIMBO
 * 4/3/98
 * (C) 1998 by Jason Leigh
 * Univ Illinois at Chicago
 *
 */

#include "CAVERN.h++"
#include "lim_perf.h++"

#ifndef _LIM_MODEL_H
#define _LIM_MODEL_H

// MAX OUT AT 64 models
#define _LIM_MAX_MODELS 64

extern CAVERN_irbLink_c *g_limModelLink[_LIM_MAX_MODELS];
extern CAVERN_irbLink_c *g_limModelMetaLink[_LIM_MAX_MODELS];
extern CAVERN_irbKey_c *g_limListOfModelMetaDataKeys[_LIM_MAX_MODELS];
extern CAVERN_irbKey_c *g_limListOfModelDataKeys[_LIM_MAX_MODELS];
extern pfDCS *g_listOfModelDCS[_LIM_MAX_MODELS];

void limModelInit();
void lim_createModelChannel();
void lim_makeChannelAndModelLink(char *remoteHost);
void newMetaDataCB(CAVERN_irbKey_c::CAVERN_irbKeyEvent_t event,
	     CAVERN_irbKey_c *thisKey,
	     void* userData);

void limCheckForNewObjectsToLoad();
void limSaveModelMetaDataStates();
void limMarkModelForRemoval(int index);
void limAddModelToVacantSlot(char *filename);
void limMaterializeAsPersistentObject(pfNode *anode);

#endif
