#ifndef _myRadar_h_
#define _myRadar_h_

#include "radar.h++"

class myRadar : public Radar
{
private:
  int active_;
  static pfType* classType_;

  // class functions
public:
  myRadar(ItemType it);                               // default constructor
  pfGeode * createSphere(float, pfVec4, int);

// overridden from Radar and ConsoleItem
  void addUser(CAVERNst_baseAvatar_c *new_user);  
  void removeUser(CAVERNst_baseAvatar_c *old_user);
  void updateALL();   
  void updateONLY(char * name, int property); 

/* Stuff required to make this a Performer class */
public:
  static void init(void);
  static pfType* getClassType(void){ return classType_; }

  /* Stuff needed for APP traversal of node */
public:
  virtual int app(pfTraverser*);
  virtual int needsApp(void);
  int isActive();

  

};

#endif
