/*
 * LIMBO
 * 4/3/98
 * (C) 1998 by Jason Leigh
 * Univ Illinois at Chicago
 *
 */

#include <Performer/pf/pfChannel.h>
#include <Performer/pf/pfEarthSky.h>
#include <Performer/pf/pfLightSource.h>
#include <Performer/pf/pfGroup.h>
#include <Performer/pfdu.h>
#include <Performer/pf.h>
#include <Performer/pf/pfDCS.h>
#include <Performer/pf/pfTraverser.h>
#include <Performer/pf/pfText.h>
#include <Performer/pr/pfString.h>

#include <pfcave.h>

extern pfDCS *g_limMicDCS;
extern pfDCS *g_limMainGroup;
extern pfScene *g_limScene;
extern pfDCS *g_limWandDCS;
extern pfDCS *g_sphereDCS;
extern pfDCS *g_arrowDCS;
extern pfDCS *g_selectedDCS;

void limPerfReplaceObject(char *filename,pfDCS *parent);
void limPerfRemoveObject(pfDCS *parent);
void limPerformerInit(int argc, char ** argv);
void limUpdateWand();
void limPerfOneCycle();
void limExport(pfNode *aNode, char *filename);
extern int g_limObjectCount;


