#ifndef _MyFlatRadar_h_
#define _MyFlatRadar_h_

#include "radar.h++"

class MyFlatRadar : public Radar
{
  // data members
private:
  int active_;
  static pfType* classType_;
 
  // class functions
public:
  MyFlatRadar(ItemType it);                        // default constructor
  pfGeode * createCircle(float, pfVec4, int);

// overridden from Radar and ConsoleItem
  virtual void addUser(CAVERNst_baseAvatar_c *new_user);  
  virtual void removeUser(CAVERNst_baseAvatar_c *old_user);
  void updateALL();   
  void updateONLY(char * name, int property);     

/* Stuff required to make this a Performer class */
public:
  static void init(void);
  static pfType* getClassType(void){ return classType_; }

  /* Stuff needed for APP traversal of node */
public:
  virtual int app(pfTraverser*);
  virtual int needsApp(void);
  int isActive();

};

#endif
