#include "lim_global.h++";
#include "radar.h++"

/************************************************************************/
/* Performer type data
*/

pfType *Radar::classType_ = NULL; 

void Radar::init(void)
{
 if (classType_ == NULL)
	{
        pfDCS::init();	  /* Initialize the parent class */
        classType_ =  new pfType(pfDCS::getClassType(), "Radar");	
	/* Create the new pfType for this class, based on the parent's type */
	}
}
/************************************************************************/

Radar::Radar(ItemType it)
  :ConsoleItem(it) 
{ shown = 0; } 

Radar::~Radar() { }

void Radar::addUser(CAVERNst_baseAvatar_c *new_user)
{
  printf("RADAR ADD USER!!\n");
}
void Radar::removeUser(CAVERNst_baseAvatar_c *old_user)
{
  printf("RADAR REMOVE USER!!\n");
}

//void Radar::Update_ALL() { }  

//void Radar::Update_ONLY(char * name, int property) { }
