#ifndef _RADAR_H++
#define _RADAR_H++

#include <Performer/pfdu.h>
#include <Performer/pf/pfGeode.h>
#include <Performer/pf/pfTraverser.h>
#include <Performer/pr/pfLinMath.h>
#include <pfcave.h>
#include "console_item.h++"

class Radar : public ConsoleItem
{
protected:
  char objName[256];
  pfGroup *blips;                    // these are the dots on the radar
  pfGeode *radar;
  pfGeode *you; 
  static pfType* classType_;
  int users_tracked;

// overridden from ConsoleItem
public:
  Radar(ItemType it);
  ~Radar();

// overridden from ConsoleItem
  //protected:
  virtual void addUser(CAVERNst_baseAvatar_c *new_user);
  virtual void removeUser(CAVERNst_baseAvatar_c *old_user);

 /* Stuff required to make this a Performer class */
public:
  static void init(void);
  static pfType* getClassType(void){ return classType_; };
};

#endif
