#ifndef _SHAREVIEW_H++
#define _SHAREVIEW_H++

#include <Performer/pfdu.h>
#include <Performer/pf/pfGeode.h>
#include <Performer/pf/pfTraverser.h>
#include <Performer/pf/pfDCS.h>
#include <Performer/pr/pfLinMath.h>
#include <pfcave.h>
#include "console.h++"

class ShareView : public pfDCS
{
private:
  int active_;
  static pfType* classType_;

  int shared;
  
  pfDCS *newViewDCS;

  CAVERNst_baseAvatar_c *sharedWith;

public:
  ShareView();
  ShareView(CAVERNst_baseAvatar_c *av);
  ~ShareView();

/* Stuff required to make this a Performer class */
public:
  static void init(void);
  static pfType* getClassType(void){ return classType_; };

/* Stuff needed for APP traversal of node */
public:
  virtual int app(pfTraverser*);
  virtual int needsApp(void);
  int isActive();

};


#endif
